Interface WafAcfpConfig.Builder

  • Method Details

    • payloadType

      WafAcfpConfig.Builder payloadType(String payloadType)

      The content type of the request body of account creation requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      Parameters:
      payloadType - The content type of the request body of account creation requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      Returns:
      Returns a reference to this object so that method calls can be chained together.
      See Also:
    • payloadType

      WafAcfpConfig.Builder payloadType(WafPayloadTypeEnum payloadType)

      The content type of the request body of account creation requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      Parameters:
      payloadType - The content type of the request body of account creation requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      Returns:
      Returns a reference to this object so that method calls can be chained together.
      See Also:
    • creationPath

      WafAcfpConfig.Builder creationPath(String creationPath)

      The path of the endpoint that accepts completed account creation forms (for example, /signup/submit). This endpoint must accept POST requests.

      Constraints:

      • Must start with a forward slash (/).

      • Must contain from 1 to 256 characters.

      Parameters:
      creationPath - The path of the endpoint that accepts completed account creation forms (for example, /signup/submit). This endpoint must accept POST requests.

      Constraints:

      • Must start with a forward slash (/).

      • Must contain from 1 to 256 characters.

      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • registrationPagePath

      WafAcfpConfig.Builder registrationPagePath(String registrationPagePath)

      The path of the page that displays the account creation form (for example, /signup).

      Constraints:

      • Must start with a forward slash (/).

      • Must contain from 1 to 256 characters.

      Parameters:
      registrationPagePath - The path of the page that displays the account creation form (for example, /signup).

      Constraints:

      • Must start with a forward slash (/).

      • Must contain from 1 to 256 characters.

      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • responseInspection

      WafAcfpConfig.Builder responseInspection(WafResponseInspection responseInspection)

      An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.

      Parameters:
      responseInspection - An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.
      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • responseInspection

      default WafAcfpConfig.Builder responseInspection(Consumer<WafResponseInspection.Builder> responseInspection)

      An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.

      This is a convenience method that creates an instance of the WafResponseInspection.Builder avoiding the need to create one manually via WafResponseInspection.builder().

      When the Consumer completes, SdkBuilder.build() is called immediately and its result is passed to responseInspection(WafResponseInspection).

      Parameters:
      responseInspection - a consumer that will call methods on WafResponseInspection.Builder
      Returns:
      Returns a reference to this object so that method calls can be chained together.
      See Also: